質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.37%

[python]pipで「pysummarization」をインストール時に出現するエラーメッセージへの対処法が分からずに困っています

受付中

回答 3

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,321

score 54

windows7+anaconda上で「pip install pysummarization」で「pysummarization」をインストールしようとしたのですが、以下のようなエラーメッセージが出てしまい、どのように対応して良いのか分からず、苦戦しています。

(base) C:\Users\...>pip install pysummarization
Collecting pysummarization
  Using cached pysummarization-1.0.5.tar.gz
Requirement already satisfied: numpy in c:\...\appdata\local\continuum\anaconda3\lib\site-packages (from pysummarization)
Requirement already satisfied: nltk in c:\...\appdata\local\continuum\anaconda3\lib\site-packages (from pysummarization)
Collecting mecab-python3 (from pysummarization)
  Using cached mecab-python3-0.7.tar.gz
Exception:
Traceback (most recent call last):
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 15: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\...appdata\local\continuum\anaconda3\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\commands\install.py", line 335, in run
    wb.build(autobuilding=True)
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\req\req_set.py", line 634, in _prepare_file
    abstract_dist.prep_for_dist()
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\req\req_set.py", line 129, in prep_for_dist
    self.req_to_install.run_egg_info()
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\req\req_install.py", line 439, in run_egg_info
    command_desc='python setup.py egg_info')
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "c:\...\appdata\local\continuum\anaconda3\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 15: invalid start byte

「UnicodeDecodeError: 'utf-8' codec can't decode byte 0x82 in position 15: invalid start byte」

とあるので、utf_8に関するエラーメッセージのようにも思えますが、ただこの先どうすれば、エラーを回避して、インストールができるようになるのか皆目見当もつきません。

Anaconda、pipを最新のものをインストールしてみたり、文字コードの設定ミスなども考えたのですが、現象は何も変わりませんでした。

ちなみに、私の環境は以下の通りです。
pip 9.0.3 
python 3.6
windows7 32bit

どなたか分かる方、ご教授お願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

+1

エラーメッセージからいうと、pysummarizationにパッケージングされているmecab-pythonに手を加えないとムリそうです。回避策として、あらかじめ、mecab-pythonをインストールしてからpysummarizationのインストールを行うことでrequirement already satisfiedの状況にすれば、いいかと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/10 16:34

    回答ありがとうございます。今、pip list で見てみると、mecabらしきものは、「mecab-python-windows (0.996.0)」だけでした。この状態で、再度、「pip install pysummarization」とすると、以下のようなエラーメッセージが返ってきました。これは、mecab-python3を入れなさいということでしょうか?それとも違うことをしなければならないのでしょうか?ご存じでしたら教えてください。
    ##############
    (base) C:\...>pip install pysummarization
    Collecting pysummarization
    Using cached pysummarization-1.0.5.tar.gz
    Requirement already satisfied: numpy in c:\...\appdata\local\continuum\anaconda3\lib\site-packages (from pysummarization)
    Requirement already satisfied: nltk in c:\...\appdata\local\continuum\anaconda3\lib\site-packages (from pysummarization)
    Collecting mecab-python3 (from pysummarization)
    Using cached mecab-python3-0.7.tar.gz
    Complete output from command python setup.py egg_info:
    'mecab-config' is not recognized as an internal or external command,
    operable program or batch file.
    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "C:\...\AppData\Local\Temp\pip-build-bo95ndzg\mecab-python3\setup.py", line 41, in <module>
    include_dirs=cmd2("mecab-config --inc-dir"),
    File "C:\...\AppData\Local\Temp\pip-build-bo95ndzg\mecab-python3\setup.py", line 21, in cmd2
    return cmd1(strings).split()
    File "C:\...\AppData\Local\Temp\pip-build-bo95ndzg\mecab-python3\setup.py", line 18, in cmd1
    return os.popen(strings).readlines()[0][:-1]
    IndexError: list index out of range
    ----------------------------------------
    Command "python setup.py egg_info" failed with error code 1 in C:\...\AppData\Local\Temp\pip-build-bo95ndzg\mecab-python3\

    キャンセル

  • 2018/04/10 20:22

    現状のpythonから見るとmecabとpythonをバインディングするプログラムはmecab-python-windowsが認識されています。つまり、バインディングするプログラムはインストール済みの状態にあります。しかしながら、pysummarizationのインストール資源は、mecab-python-windowsをバインディングプログラムと認識しないので、改めてインストールしようとします。結果、うまくインストールできないmecab-python3-0.7.tar.gzの解凍とインストールをするのでエラーが起きていると思います。
    よって、mecab-python-windowsのインストール資源をmecab-python3-0.7.tar.gzに置き換えるとうまくインストールするのでないかと思います。あるいは、python内部の設定などをいじってmecab-python3がインストール済みと認識させることができるとうまく回避してくれるかと思います

    キャンセル

  • 2018/04/10 20:25

    いつも親切に教えていただき、本当にありがとうございます。アドバイスいただいたことを、これから試したいと思います。

    キャンセル

0

https://qiita.com/ruteshi_SI_shiteru/items/be6a58276bdbd67dc096
が役立ちませんか。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/07 11:04

    回答いただき、ありがとうございます。アドバイスにしたがって、サイトと同様にpyファイル内を修正して、再度「pip install pysummarization」を実行しました。しかし、これだけではインストールは完了せず、新たなエラーが出てしまいました。何かご存じでしたら、ご教示お願いします。

    (base) C:\...>pip install pysummarization
    Collecting pysummarization
    Using cached pysummarization-1.0.5.tar.gz
    Requirement already satisfied: numpy in c:\(base) C:\...>pip install pysummarization
    Collecting pysummarization
    Using cached pysummarization-1.0.5.tar.gz
    Requirement already satisfied: numpy in c:\...\appdata\local\continuum\anaconda3\lib\site-packages (from pysummarization)
    Requirement already satisfied: nltk in c:\...\appdata\local\continuum\anaconda3\lib\site-packages (from pysummarization)
    Collecting mecab-python3 (from pysummarization)
    Using cached mecab-python3-0.7.tar.gz
    Complete output from command python setup.py egg_info:
    'mecab-config' は、内部コマンドまたは外部コマンド、
    操作可能なプログラムまたはバッチ ファイルとして認識されていません。
    Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "C:\...7\AppData\Local\Temp\pip-build-0xcer1w2\mecab-python3\setup.py", line 41, in <module>
    include_dirs=cmd2("mecab-config --inc-dir"),
    File "C:\...\AppData\Local\Temp\pip-build-0xcer1w2\mecab-python3\setup.py", line 21, in cmd2
    return cmd1(strings).split()
    File "C:\...\AppData\Local\Temp\pip-build-0xcer1w2\mecab-python3\setup.py", line 18, in cmd1
    return os.popen(strings).readlines()[0][:-1]
    IndexError: list index out of range

    ----------------------------------------
    Command "python setup.py egg_info" failed with error code 1 in C:\...\AppData\Local\Temp\pip-build-0xcer1w2\mecab-python3\

    キャンセル

0

Python初心者の登竜門、FAQになりつつあるエラーですね。

https://teratail.com/questions/search?q=console_to_str&conditions=and

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • トップ
  • Python 3.xに関する質問
  • [python]pipで「pysummarization」をインストール時に出現するエラーメッセージへの対処法が分からずに困っています